commit 31c7539e26142b1cc3260fb809289333690b657b
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Sep 18 15:38:02 2024 +0100

    libstdc++: Silence -Woverloaded-virtual warning in cxx11-ios_failure.cc
    
    libstdc++-v3/ChangeLog:
    
            * src/c++11/cxx11-ios_failure.cc (__iosfail_type_info): Unhide
            the three-arg overload of __do_upcast.
    
    (cherry picked from commit d842eb5ee6cb4d8a2795730ac88c4c2960f94bf4)

diff --git a/libstdc++-v3/src/c++11/cxx11-ios_failure.cc b/libstdc++-v3/src/c++11/cxx11-ios_failure.cc
index bd3fd556bd4..70dddc82389 100644
--- a/libstdc++-v3/src/c++11/cxx11-ios_failure.cc
+++ b/libstdc++-v3/src/c++11/cxx11-ios_failure.cc
@@ -94,6 +94,8 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
   {
     ~__iosfail_type_info();
 
+    using __si_class_type_info::__do_upcast;
+
     bool
     __do_upcast (const __class_type_info *dst_type,
 		 void **obj_ptr) const override;

